.a-textarea-with-label {
  position: relative;
  height: 16rem;

  &[data-exist='true'] {
    label {
      top: 0;
      left: 1.2rem;

      color: #6868ac;
      font-size: 1.2rem;
      font-weight: 600;
    }
  }

  &[data-icon='true'] {
    label {
      left: 3.2rem;
    }

    &[data-exist='true'] {
      label {
        left: 4.4rem;
      }
    }

    input {
      padding: 0 1.6rem 0 4.4rem;

      &:focus {
        & ~ label {
          left: 4.4rem;
        }
      }
    }
  }

  textarea {
    width: 100%;
    height: 100%;
    padding: 1rem 1.2rem;

    background: #fff;
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;

    font-family: 'inter';
    font-size: 1.4rem;

    transition: border 0.25s;
    resize: none;

    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    &::-webkit-scrollbar {
      /* WebKit */
      width: 0;
      height: 0;
    }

    &:focus {
      border-color: #6868ac;

      & ~ label {
        top: 0;
        left: 1.2rem;

        color: #6868ac;
        font-size: 1.2rem;
        font-weight: 600;
      }
    }
  }

  &.error {
    textarea {
      border-color: #dd3a09;
    }
  }

  label {
    position: absolute;
    top: 2rem;
    left: 0.1rem;

    padding: 0 1.2rem;

    font-size: 1.4rem;
    font-weight: 500;

    transform: translateY(-50%);

    transition: all 0.25s;

    pointer-events: none;

    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 1;

      width: 100%;
      height: calc(50% + 0.025rem);

      background: #fff;

      content: '';
    }

    span {
      position: relative;
      z-index: 2;
    }
  }

  &__icon {
    position: absolute;
    top: 50%;
    left: 1.6rem;

    width: 2rem;
    height: 2rem;

    transform: translateY(-50%);

    pointer-events: none;

    img {
      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }
}
